LOGIND.CONF(5)

NAME
logind.conf - Login manager configuration file

SYNOPSIS

/etc/systemd/logind.conf

DESCRIPTION

This files configures various parameters of the systemd login manager systemd-logind.service(8).

OPTIONS

All options are configured in the [Login] section:

NAutoVTs=
    Takes a positive integer. How many virtual terminals to allocate by default and when switched to autospawn autovt services on (if they are otherwise unused). These services are instantiated from a template of autovt@.service with the virtual terminal TTY name, e.g. autovt@tty4.service. By default autovt@.service is linked to getty@.service, i.e. login prompts are started dynamically as the user switches to unused virtual terminals, and this parameter hence controls how many gettys are available on the virtual terminals. Defaults to 6. When set to 0, automatic spawning of autovt services is disabled.

KillUserProcesses=
    Takes a boolean argument. Configures whether the processes of a user should be killed when she or he completely logs out (i.e. after her/his last session ended). Defaults to no.

KillOnlyUsers=, KillExcludeUsers=
    These settings take space separated lists of user names that influence the effect of KillUserProcesses=. If not empty only processes of users listed in KillOnlyUsers will be killed when they log out entirely. Processes of users listed in KillExcludeUsers= are excluded from being killed. KillExcludeUsers= defaults to root and takes precedence over KillOnlyUsers= which defaults to the empty list.

Controllers=, ResetControllers=
    These settings control the default control group hierarchies users logging are added to. When logging in users will get private control groups in all hierarchies listed in Controllers= and be reset to the root control group in all hierarchies listed in ResetControllers=. Controllers= defaults to the empty list, ResetControllers= defaults to cpu.

InhibitDelayMaxSec=
    Specifies the maximum time a system shutdown or sleep request is delayed due to an inhibitor lock of type delay being taken before it is ignored and the operation executed anyway. Defaults to 5s.

HandlePowerKey=, HandleSleepKey=, HandleLidSwitch=
    Controls whether logind shall handle the system power and sleep keys and the lid switch to trigger system power-off or suspend. Can be one of off, no-session, tty-session, any-session and always. If off logind will never handle these keys. If no-session logind will handle these keys when no user is logged in and no inhibitor lock is taken, and trigger a warnig beep otherwise. If set to tty-session logind will handle these keys if no inhibitor lock is taken, and either no user is logged in or the foreground session is a text login and the only one existing. If any-session is set logind will handle these keys if no inhibitor lock is taken, and either no user is logged in or the foreground session is the only one existing (regardless whether graphical or text). If set to always logind will handle these keys in any case, even if one or more users are logged in or an inhibitor lock is taken. Only input devices with the power-switch udev tag will be watched for key events. HandlePowerKey= defaults to no-session. HandleSleepKey= defaults to tty-session, HandleLidSwitch= defaults to off.

Note that setting KillUserProcesses=1 will break tools like screen(1).

Note that KillUserProcesses=1 is a weaker version of kill-session-processes=1 which may be configured per-service for pam_systemd(8). The latter kills processes of a session as soon as it ends, the former kills processes as soon as the last session of the user ends.

SEE ALSO

systemd(1), systemd-logind.service(8), loginctl(1), systemd.conf(5)

AUTHOR

Lennart Poettering <lennart@poettering.net>
    Developer